OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.GlSpirv

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBGlSpirv :: MonadIO m => m Bool
- gl_ARB_gl_spirv :: Bool
- pattern GL_SHADER_BINARY_FORMAT_SPIR_V_ARB :: GLenum
- pattern GL_SPIR_V_BINARY_ARB :: GLenum
- glSpecializeShaderARB :: MonadIO m => GLuint -> Ptr GLchar -> GLuint -> Ptr GLuint -> Ptr GLuint -> m ()

# Extension Support

glGetARBGlSpirv :: MonadIO m => m Bool Source #

Is the ARB_gl_spirv extension supported?

gl_ARB_gl_spirv :: Bool Source #

Is the ARB_gl_spirv extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBGlSpirv` in those cases instead.

# Enums

pattern GL_SHADER_BINARY_FORMAT_SPIR_V_ARB :: GLenum Source #

pattern GL_SPIR_V_BINARY_ARB :: GLenum Source #

# Functions

glSpecializeShaderARB Source #

Arguments

:: MonadIO m |
=> GLuint | `shader`.
-> Ptr GLchar | `pEntryPoint`.
-> GLuint | `numSpecializationConstants`.
-> Ptr GLuint | `pConstantIndex`.
-> Ptr GLuint | `pConstantValue`.
-> m () |

This command is an alias for `glSpecializeShader`.